## START: Set by rpmautospec
## (rpmautospec version 0.8.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Upstream has no tests.
%bcond_with     tests

%global         srcname     azure-mgmt-datalake-store

Name:           python-%{srcname}
Version:        1.1.0~b1
%global         pypi_version 1.1.0b1
Release:        %autorelease
Summary:        Microsoft Azure Datalake Store Management Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{pypi_version} zip}

BuildArch:      noarch

Epoch:          1

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(azure-sdk-tools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-aiohttp)
BuildRequires:  python3dist(python-dotenv)
%endif

%global _description %{expand:
Microsoft Azure Datalake Store Management Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{pypi_version}

# Remove the customized wheel builder included by Microsoft that adds
# azure-mgmt-nspkg to the requirements.
sed -i '/azure-namespace-package/d' setup.cfg
sed -i '/azure_bdist_wheel.py/d' MANIFEST.in
rm -f azure_bdist_wheel.py


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install

# PEP 420 allows implicit namespace packaging without additional __init__.py
# files. Remove unneccessary __init__.py that conflicts with other packages.
rm -rf %{buildroot}%{python3_sitelib}/azure/{__init__.py,__pycache__}
rm -rf %{buildroot}%{python3_sitelib}/azure/mgmt/{__init__.py,__pycache__}
rm -rf %{buildroot}%{python3_sitelib}/azure/mgmt/datalake/{__init__.py,__pycache__}

%pyproject_save_files azure


%check
%pyproject_check_import

%if %{with tests}
%pytest
%endif


%files -n python3-%{srcname}
%doc README.md CHANGELOG.md
%{python3_sitelib}/azure/mgmt/datalake/store
%{python3_sitelib}/azure_mgmt_datalake_store-%{pypi_version}.dist-info


%changelog
## START: Generated by rpmautospec
* Fri Jul 25 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.1.0~b1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild

* Tue Jun 03 2025 Python Maint <python-maint@redhat.com> - 1:1.1.0~b1-3
- Rebuilt for Python 3.14

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.1.0~b1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Nov 25 2024 Jeremy Cline <jeremycline@linux.microsoft.com> - 1:1.1.0~b1-1
- Update to v1.1.0b1

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.5.0-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 1:0.5.0-18
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.5.0-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.5.0-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.5.0-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 1:0.5.0-14
- Rebuilt for Python 3.12

* Mon May 08 2023 Major Hayden <major@redhat.com> - 1:0.5.0-13
- S

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.5.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.5.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 28 2022 Major Hayden <major@redhat.com> - 1:0.5.0-10
- Disable tests

* Tue Jun 28 2022 Major Hayden <major@redhat.com> - 1:0.5.0-9
- Add import check

* Thu Jun 16 2022 Python Maint <python-maint@redhat.com> - 1:0.5.0-8
- Increase the release number to 8 to be greater than the latest known
  build

* Thu Jun 16 2022 Python Maint <python-maint@redhat.com> - 1:0.5.0-7
- Increase the release number to 7 to be equal to the latest known build

* Thu Jun 16 2022 Python Maint <python-maint@redhat.com> - 1:0.5.0-6
- Rebuilt for Python 3.11

* Thu Apr 28 2022 Major Hayden <major@mhtx.net> - 1:0.5.0-5
- Switch to rpmautospec

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> - 1:0.5.0-3
- Move obsoletes into subpackage

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> - 1:0.5.0-2
- Add HISTORY.rst to %%docs

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> - 1:0.5.0-1
- Downgrade to 0.5.0 w/Epoch

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> - 0.5.0-1
- Revert "Update to 1.0.0"

* Tue Jul 20 2021 Major Hayden <major@mhtx.net> - 1.0.0-1
- Update to 1.0.0

* Wed Jul 14 2021 Major Hayden <major@mhtx.net> - 0.5.0-3
- Remove unneccessary __init__.py files to avoid file conflicts

* Wed Jul 07 2021 Major Hayden <major@mhtx.net> - 0.5.0-2
- Remove custom wheel builder

* Sun Jul 04 2021 Major Hayden <major@mhtx.net> - 0.5.0-1
- Initial import (#1971751)
## END: Generated by rpmautospec
